Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## josx.rcxcomm.remotecontrol
Interface RemoteControlListener

All Known Implementing Classes:
  RemoteControlAdapter

    public interface RemoteControlListener

This is an interface for remote control message handlers.

Version:
  1.0 (24/09/2002)
Author:
  Matthias Paul Scholz (mp.scholz@t-online.de)

Method Summary
`void` | `message1Pressed()` handler for the message 1 button
`void` | `message2Pressed()` handler for the message 2 button
`void` | `message3Pressed()` handler for the message 3 button
`void` | `motorDownPressed(Motor aMotor)` handler for the motor down button
`void` | `motorUpPressed(Motor aMotor)` handler for the motor up button
`void` | `program1Pressed()` handler for the program 1 button
`void` | `program2Pressed()` handler for the program 2 button
`void` | `program3Pressed()` handler for the program 3 button
`void` | `program4Pressed()` handler for the program 4 button
`void` | `program5Pressed()` handler for the program 5 button
`void` | `soundPressed()` handler for the sound button
`void` | `stopPressed()` handler for the stopp button

Method Detail

### message1Pressed

    void message1Pressed()

  handler for the message 1 button

### message2Pressed

    void message2Pressed()

  handler for the message 2 button

### message3Pressed

    void message3Pressed()

  handler for the message 3 button

### program1Pressed

    void program1Pressed()

  handler for the program 1 button

### program2Pressed

    void program2Pressed()

  handler for the program 2 button

### program3Pressed

    void program3Pressed()

  handler for the program 3 button

### program4Pressed

    void program4Pressed()

  handler for the program 4 button

### program5Pressed

    void program5Pressed()

  handler for the program 5 button

### motorDownPressed

    void motorDownPressed(Motor aMotor)

  handler for the motor down button

  Parameters:
    `aMotor` - the motor

### motorUpPressed

    void motorUpPressed(Motor aMotor)

  handler for the motor up button

  Parameters:
    `aMotor` - the motor

### soundPressed

    void soundPressed()

  handler for the sound button

### stopPressed

    void stopPressed()

  handler for the stopp button

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD